com.qualcomm.robotcore.hardware

## Enum HardwareDeviceHealth.HealthStatus

- java.lang.Object
- - java.lang.Enum<HardwareDeviceHealth.HealthStatus>
  - - com.qualcomm.robotcore.hardware.HardwareDeviceHealth.HealthStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HardwareDeviceHealth.HealthStatus>
  Enclosing interface:
    HardwareDeviceHealth

      public static enum HardwareDeviceHealth.HealthStatus
      extends java.lang.Enum<HardwareDeviceHealth.HealthStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED`
    `HEALTHY` The device appears to be operating successfully
    `UNHEALTHY` Experiencing problems of an unspecified nature
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HardwareDeviceHealth.HealthStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HardwareDeviceHealth.HealthStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final HardwareDeviceHealth.HealthStatus UNKNOWN

    - #### HEALTHY

          public static final HardwareDeviceHealth.HealthStatus HEALTHY

      The device appears to be operating successfully

    - #### UNHEALTHY

          public static final HardwareDeviceHealth.HealthStatus UNHEALTHY

      Experiencing problems of an unspecified nature

    - #### CLOSED

          public static final HardwareDeviceHealth.HealthStatus CLOSED

  - ### Method Detail

    - #### values

          public static HardwareDeviceHealth.HealthStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HardwareDeviceHealth.HealthStatus c : HardwareDeviceHealth.HealthStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HardwareDeviceHealth.HealthStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null